> For the complete documentation index, see [llms.txt](https://docs.konnekt.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.konnekt.io/es/troubleshooting/causes-of-missing-content/empty-libraries/empty-default-libraries-error-404.md).

# Bibliotecas predeterminadas vacías - error 404

## Problema

Todas las bibliotecas de documentos en KONNEKT y las unidades mapeadas están vacías.

## Antecedentes

Hay fallos en ciertos centros de datos que alojan SharePoint Online en el sitio de Microsoft. KONNEKT utiliza la GraphAPI de Microsoft para acceder a toda la información relacionada con las bibliotecas de documentos y su contenido.

Especialmente la solicitud para obtener la biblioteca de documentos predeterminada de una colección de sitios ([Obtener unidad](https://learn.microsoft.com/en-us/graph/api/drive-get)). Los registros de KONNEKT deberían contener entradas si fallan las operaciones de la biblioteca predeterminada:

```
[2025-05-07 11:31:28.957] [30304] [error] [RESTkitClient] Solicitud HTTP (OneDriveClient::GetDefaultDrive) GET: https://graph.microsoft.com/v1.0/sites/<TenantName>.sharepoint.com,8fd7d761-4f99-4fdc-a0aa-de6b685e5306,56d1fa73-2339-4329-9df3-61100d751650/drive - 404
    error: Elemento no encontrado: No se pudo encontrar el recurso.(404)
   "{"error":{"code":"itemNotFound","message":"No se pudo encontrar el recurso.","innerError":{"date":"2025-05-07T09:31:28","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}"
    Encabezado de respuesta:
Cache-Control: no-store, no-cache
client-request-id: 17a44641-4204-4811-b176-58a379125b5d
Content-Type: application/json
Date: Wed, 07 May 2025 09:31:27 GMT
request-id: 17a44641-4204-4811-b176-58a379125b5d
Strict-Transport-Security: max-age=31536000
Transfer-Encoding: chunked
x-ms-ags-diagnostic: {"ServerInfo":{"DataCenter":"France Central","Slice":"E","Ring":"5","ScaleUnit":"004","RoleInstance":"PA2PEPF00011C65"}}
    Respuesta:
{"error":{"code":"itemNotFound","message":"No se pudo encontrar el recurso.","innerError":{"date":"2025-05-07T09:31:28","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}
```

o

```
[2025-05-09 08:43:36.353] [23796] [error] [RESTkitClient] Solicitud HTTP (OneDriveClient::GetDefaultDrive) GET: https://graph.microsoft.com/v1.0/sites/<TenantName>.sharepoint.com,8fd7d761-4f99-4fdc-a0aa-de6b685e5306,56d1fa73-2339-4329-9df3-61100d751650/drive - 404
    error: Elemento no encontrado: No se pudo encontrar el recurso.(404)
   "{"error":{"code":"itemNotFound","message":"No se pudo encontrar el recurso.","innerError":{"date":"2025-05-09T06:43:36","request-id":"17a44641-4204-4811-b176-58a379125b5d","client-request-id":"17a44641-4204-4811-b176-58a379125b5d"}}}"
```

Para investigarlo, usa GraphExplorer para comprobar la solicitud GET de esta biblioteca de documentos:

<https://developer.microsoft.com/en-us/graph/graph-explorer>

## Soluciones alternativas

1\) Habilita la configuración "[Agregar todas las bibliotecas de documentos de SharePoint](https://docs.konnekt.io/configuration/mappings/auto-mapping#map-all-document-libraries)".

Si se habilita, KONNEKT utilizará la [Listar unidades](https://learn.microsoft.com/en-us/graph/api/drive-list?view=graph-rest-1.0\&tabs=http) solicitud para recuperar todas las bibliotecas de documentos de las colecciones de sitios.

{% hint style="info" %}
Ten en cuenta que habilitar esta configuración hará que los enlaces de archivos existentes dejen de funcionar.
{% endhint %}

2\) Usa "[Mapeos administrados](/es/configuration/mappings/managed-mappings.md)" para mapear las bibliotecas de documentos importantes y deshabilita la configuración "[Autodescubrimiento de sitios de SharePoint](https://docs.konnekt.io/configuration/mappings/auto-mapping#map-all-document-libraries)".

## Incidencia de GitHub

<https://github.com/SharePoint/sp-dev-docs/issues/10241>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.konnekt.io/es/troubleshooting/causes-of-missing-content/empty-libraries/empty-default-libraries-error-404.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
